#
# spec file for package 3dsconv
#
# Copyright (c) 2018 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           3dsconv
Version:        4.2
Release:        2.4
License:        MIT
Summary:        Convert Nintendo 3DS files to the CIA format
Url:            https://github.com/ihaveamac/3dsconv
Group:          Hardware/Other
Source:         %{name}-%{version}.tar.gz
BuildRequires:  python-setuptools
Requires:       python-pyaes
BuildArch:      noarch

%description
Python 3 script that converts Nintendo 3DS CTR Cart Image files (CCI, ".cci", ".3ds") to the CTR Importable Archive format (CIA).

3dsconv can detect if a CCI is decrypted, encrypted using original NCCH (slot 0x2C), or encrypted using zerokey. Encryption requires pyaes (pip install pyaes). Original NCCH encryption requires a copy of the protected ARM9 bootROM.

Decrypt9WIP and GodMode9 can dump game cards to CIA directly now, rendering this tool partially obsolete. It can still be used for existing game dumps, however.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install \
--root %{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root)
%doc README.md LICENSE.md
%{_bindir}/3dsconv
%dir %{python_sitelib}/3dsconv
%dir %{python_sitelib}/3dsconv-4.2-py2.7.egg-info
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/PKG-INFO
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/SOURCES.txt
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/dependency_links.txt
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/entry_points.txt
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/requires.txt
%{python_sitelib}/3dsconv-4.2-py2.7.egg-info/top_level.txt
%attr(755,root,root) %{python_sitelib}/3dsconv/3dsconv.py
%{python_sitelib}/3dsconv/__init__.py
%{python_sitelib}/3dsconv/__init__.pyc

%changelog
* Fri Jan 12 2018 p.seiler@linuxmail.org
- added runtime dependency python-pyaes
* Wed Jan 10 2018 p.seiler@linuxmail.org
- initial commit
